Delete Digital Product
Delete a digital product and unlink its assets from the Shopify product.
Last updated
API reference
Terminal window
filemonk.ioContactPrivacy policyTermsHelp center
Path parameters
Section titled “Path parameters”-
id(string, path, required)The digital product’s unique identifier (UUID).
Response
Section titled “Response”Returns 204 No Content on success.
Example request
curl -X DELETE 'https://app.filemonk.io/api/v1/external/digital_products/b2c3d4e5-f6a7-8901-bcde-f12345678901' \ -H 'X-Auth-Token: fm_api_key_your_key_here'const productId = 'b2c3d4e5-f6a7-8901-bcde-f12345678901';await fetch( `https://app.filemonk.io/api/v1/external/digital_products/${productId}`, { method: 'DELETE', headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } });product_id = 'b2c3d4e5-f6a7-8901-bcde-f12345678901'requests.delete( f'https://app.filemonk.io/api/v1/external/digital_products/{product_id}', headers={'X-Auth-Token': 'fm_api_key_your_key_here'})Example response
{ "error": "Digital product not found"}Was this page helpful?
Thanks for letting us know.
Still stuck? Ask Quinn or chat with support